## u-boot-linaro 2012.02.3

=== common/Makefile ===
#
# (C) Copyright 2004-2006
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= $(obj)libcommon.o

# core
ifndef CONFIG_SPL_BUILD
COBJS-y += main.o
COBJS-y += command.o
COBJS-y += exports.o
COBJS-$(CONFIG_SYS_HUSH_PARSER) += hush.o
COBJS-y += image.o
COBJS-y += s_record.o
COBJS-$(CONFIG_SERIAL_MULTI) += serial.o
COBJS-y += xyzModem.o

# core command
COBJS-y += cmd_boot.o
COBJS-$(CONFIG_CMD_BOOTM) += cmd_bootm.o
COBJS-y += cmd_help.o
COBJS-y += cmd_nvedit.o
COBJS-y += cmd_version.o

# environment
COBJS-y += env_common.o
COBJS-$(CONFIG_ENV_IS_IN_DATAFLASH) += env_dataflash.o
COBJS-$(CONFIG_ENV_IS_IN_EEPROM) += env_eeprom.o
XCOBJS-$(CONFIG_ENV_IS_EMBEDDED) += env_embedded.o
COBJS-$(CONFIG_ENV_IS_IN_EEPROM) += env_embedded.o
XCOBJS-$(CONFIG_ENV_IS_IN_FLASH) += env_embedded.o
COBJS-$(CONFIG_ENV_IS_IN_NVRAM) += env_embedded.o
COBJS-$(CONFIG_ENV_IS_IN_FLASH) += env_flash.o
COBJS-$(CONFIG_ENV_IS_IN_MG_DISK) += env_mgdisk.o
COBJS-$(CONFIG_ENV_IS_IN_MMC) += env_mmc.o
COBJS-$(CONFIG_ENV_IS_IN_NAND) += env_nand.o
COBJS-$(CONFIG_ENV_IS_IN_NVRAM) += env_nvram.o
COBJS-$(CONFIG_ENV_IS_IN_ONENAND) += env_onenand.o
COBJS-$(CONFIG_ENV_IS_IN_SPI_FLASH) += env_sf.o
COBJS-$(CONFIG_ENV_IS_NOWHERE) += env_nowhere.o

# command
COBJS-$(CONFIG_CMD_AMBAPP) += cmd_ambapp.o
COBJS-$(CONFIG_SOURCE) += cmd_source.o
COBJS-$(CONFIG_CMD_SOURCE) += cmd_source.o
COBJS-$(CONFIG_CMD_BDI) += cmd_bdinfo.o
COBJS-$(CONFIG_CMD_BEDBUG) += bedbug.o cmd_bedbug.o
COBJS-$(CONFIG_CMD_BMP) += cmd_bmp.o
COBJS-$(CONFIG_CMD_BOOTLDR) += cmd_bootldr.o
COBJS-$(CONFIG_CMD_CACHE) += cmd_cache.o
COBJS-$(CONFIG_CMD_CONSOLE) += cmd_console.o
COBJS-$(CONFIG_CMD_CPLBINFO) += cmd_cplbinfo.o
COBJS-$(CONFIG_DATAFLASH_MMC_SELECT) += cmd_dataflash_mmc_mux.o
COBJS-$(CONFIG_CMD_DATE) += cmd_date.o
ifdef CONFIG_4xx
COBJS-$(CONFIG_CMD_SETGETDCR) += cmd_dcr.o
endif
ifdef CONFIG_POST
COBJS-$(CONFIG_CMD_DIAG) += cmd_diag.o
endif
COBJS-$(CONFIG_CMD_DISPLAY) += cmd_display.o
COBJS-$(CONFIG_CMD_DTT) += cmd_dtt.o
COBJS-$(CONFIG_CMD_ECHO) += cmd_echo.o
COBJS-$(CONFIG_ENV_IS_IN_EEPROM) += cmd_eeprom.o
COBJS-$(CONFIG_CMD_EEPROM) += cmd_eeprom.o
COBJS-$(CONFIG_CMD_ELF) += cmd_elf.o
COBJS-$(CONFIG_SYS_HUSH_PARSER) += cmd_exit.o
COBJS-$(CONFIG_CMD_EXT2) += cmd_ext2.o
COBJS-$(CONFIG_CMD_FAT) += cmd_fat.o
COBJS-$(CONFIG_CMD_FDC)$(CONFIG_CMD_FDOS) += cmd_fdc.o
COBJS-$(CONFIG_OF_LIBFDT) += cmd_fdt.o fdt_support.o
COBJS-$(CONFIG_CMD_FDOS) += cmd_fdos.o
COBJS-$(CONFIG_CMD_FITUPD) += cmd_fitupd.o
COBJS-$(CONFIG_CMD_FLASH) += cmd_flash.o
ifdef CONFIG_FPGA
COBJS-$(CONFIG_CMD_FPGA) += cmd_fpga.o
endif
COBJS-$(CONFIG_CMD_GPIO) += cmd_gpio.o
COBJS-$(CONFIG_CMD_I2C) += cmd_i2c.o
COBJS-$(CONFIG_CMD_IDE) += cmd_ide.o
COBJS-$(CONFIG_CMD_IMMAP) += cmd_immap.o
COBJS-$(CONFIG_CMD_IRQ) += cmd_irq.o
COBJS-$(CONFIG_CMD_ITEST) += cmd_itest.o
COBJS-$(CONFIG_CMD_JFFS2) += cmd_jffs2.o
COBJS-$(CONFIG_CMD_CRAMFS) += cmd_cramfs.o
COBJS-$(CONFIG_CMD_LDRINFO) += cmd_ldrinfo.o
COBJS-$(CONFIG_CMD_LED) += cmd_led.o
COBJS-$(CONFIG_CMD_LICENSE) += cmd_license.o
COBJS-y += cmd_load.o
COBJS-$(CONFIG_LOGBUFFER) += cmd_log.o
COBJS-$(CONFIG_ID_EEPROM) += cmd_mac.o
COBJS-$(CONFIG_CMD_MD5SUM) += cmd_md5sum.o
COBJS-$(CONFIG_CMD_MEMORY) += cmd_mem.o
COBJS-$(CONFIG_CMD_MFSL) += cmd_mfsl.o
COBJS-$(CONFIG_CMD_MG_DISK) += cmd_mgdisk.o
COBJS-$(CONFIG_MII) += miiphyutil.o
COBJS-$(CONFIG_CMD_MII) += miiphyutil.o
COBJS-$(CONFIG_PHYLIB) += miiphyutil.o
COBJS-$(CONFIG_CMD_MII) += cmd_mii.o
ifdef CONFIG_PHYLIB
COBJS-$(CONFIG_CMD_MII) += cmd_mdio.o
endif
COBJS-$(CONFIG_CMD_MISC) += cmd_misc.o
COBJS-$(CONFIG_CMD_MMC) += cmd_mmc.o
COBJS-$(CONFIG_CMD_STE_MMC) += cmd_ste_mmc.o
COBJS-$(CONFIG_CMD_MMC_SPI) += cmd_mmc_spi.o
COBJS-$(CONFIG_MP) += cmd_mp.o
COBJS-$(CONFIG_CMD_MTDPARTS) += cmd_mtdparts.o
COBJS-$(CONFIG_CMD_NAND) += cmd_nand.o
COBJS-$(CONFIG_CMD_NET) += cmd_net.o
COBJS-$(CONFIG_CMD_ONENAND) += cmd_onenand.o
COBJS-$(CONFIG_CMD_OTP) += cmd_otp.o
ifdef CONFIG_PCI
COBJS-$(CONFIG_CMD_PCI) += cmd_pci.o
endif
COBJS-y += cmd_pcmcia.o
COBJS-$(CONFIG_CMD_PORTIO) += cmd_portio.o
COBJS-$(CONFIG_CMD_PXE) += cmd_pxe.o
COBJS-$(CONFIG_CMD_REGINFO) += cmd_reginfo.o
COBJS-$(CONFIG_CMD_REISER) += cmd_reiser.o
COBJS-$(CONFIG_CMD_SATA) += cmd_sata.o
COBJS-$(CONFIG_CMD_SF) += cmd_sf.o
COBJS-$(CONFIG_CMD_SCSI) += cmd_scsi.o
COBJS-$(CONFIG_CMD_SHA1SUM) += cmd_sha1sum.o
COBJS-$(CONFIG_CMD_SETEXPR) += cmd_setexpr.o
COBJS-$(CONFIG_CMD_SPI) += cmd_spi.o
COBJS-$(CONFIG_CMD_SPIBOOTLDR) += cmd_spibootldr.o
COBJS-$(CONFIG_CMD_STRINGS) += cmd_strings.o
COBJS-$(CONFIG_CMD_TERMINAL) += cmd_terminal.o
COBJS-$(CONFIG_CMD_TIME) += cmd_time.o
COBJS-$(CONFIG_SYS_HUSH_PARSER) += cmd_test.o
COBJS-$(CONFIG_CMD_TPM) += cmd_tpm.o
COBJS-$(CONFIG_CMD_TSI148) += cmd_tsi148.o
COBJS-$(CONFIG_CMD_UBI) += cmd_ubi.o
COBJS-$(CONFIG_CMD_UBIFS) += cmd_ubifs.o
COBJS-$(CONFIG_CMD_UNIVERSE) += cmd_universe.o
COBJS-$(CONFIG_CMD_UNZIP) += cmd_unzip.o
ifdef CONFIG_CMD_USB
COBJS-y += cmd_usb.o
COBJS-y += usb.o
COBJS-$(CONFIG_USB_STORAGE) += usb_storage.o
endif
COBJS-$(CONFIG_CMD_XIMG) += cmd_ximg.o
COBJS-$(CONFIG_YAFFS2) += cmd_yaffs2.o

# others
ifdef CONFIG_DDR_SPD
SPD := y
endif
ifdef CONFIG_SPD_EEPROM
SPD := y
endif
COBJS-$(SPD) += ddr_spd.o
COBJS-$(CONFIG_HWCONFIG) += hwconfig.o
COBJS-$(CONFIG_CONSOLE_MUX) += iomux.o
COBJS-y += flash.o
COBJS-$(CONFIG_CMD_KGDB) += kgdb.o kgdb_stubs.o
COBJS-$(CONFIG_KALLSYMS) += kallsyms.o
COBJS-$(CONFIG_LCD) += lcd.o
COBJS-$(CONFIG_LYNXKDI) += lynxkdi.o
COBJS-$(CONFIG_MENU) += menu.o
COBJS-$(CONFIG_MODEM_SUPPORT) += modem.o
COBJS-$(CONFIG_UPDATE_TFTP) += update.o
COBJS-$(CONFIG_USB_KEYBOARD) += usb_kbd.o
endif

COBJS-y += console.o
COBJS-y += dlmalloc.o
COBJS-y += memsize.o
COBJS-y += stdio.o


COBJS	:= $(sort $(COBJS-y))
XCOBJS	:= $(sort $(XCOBJS-y))
SRCS	:= $(COBJS:.o=.c) $(XCOBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))
XOBJS	:= $(addprefix $(obj),$(XCOBJS))

CPPFLAGS += -I..

all:	$(LIB) $(XOBJS)

$(LIB): $(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))

$(obj)env_embedded.o: $(src)env_embedded.c $(obj)../tools/envcrc
	$(CC) $(AFLAGS) -Wa,--no-warn \
		-DENV_CRC=$(shell $(obj)../tools/envcrc) \
		-c -o $@ $(src)env_embedded.c

$(obj)../tools/envcrc:
	$(MAKE) -C ../tools

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== spl/Makefile ===
#
# (C) Copyright 2000-2011
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# (C) Copyright 2011
# Daniel Schwierzeck, daniel.schwierzeck@googlemail.com.
#
# (C) Copyright 2011
# Texas Instruments Incorporated - http://www.ti.com/
# Aneesh V <aneesh@ti.com>
#
# This file is released under the terms of GPL v2 and any later version.
# See the file COPYING in the root directory of the source tree for details.
#
# Based on top-level Makefile.
#

CONFIG_SPL_BUILD := y
export CONFIG_SPL_BUILD

include $(TOPDIR)/config.mk

# We want the final binaries in this directory
obj := $(OBJTREE)/spl/

HAVE_VENDOR_COMMON_LIB := $(shell [ -f $(SRCTREE)/board/$(VENDOR)/common/Makefile ] \
			&& echo y || echo n)

ifdef	CONFIG_SPL_START_S_PATH
START_PATH := $(subst ",,$(CONFIG_SPL_START_S_PATH))
else
START_PATH := $(CPUDIR)
endif

START := $(START_PATH)/start.o

LIBS-y += arch/$(ARCH)/lib/lib$(ARCH).o
LIBS-y += $(CPUDIR)/lib$(CPU).o
ifdef SOC
LIBS-y += $(CPUDIR)/$(SOC)/lib$(SOC).o
endif
LIBS-y += board/$(BOARDDIR)/lib$(BOARD).o
LIBS-$(HAVE_VENDOR_COMMON_LIB) += board/$(VENDOR)/common/lib$(VENDOR).o

LIBS-$(CONFIG_SPL_LIBCOMMON_SUPPORT) += common/libcommon.o
LIBS-$(CONFIG_SPL_LIBDISK_SUPPORT) += disk/libdisk.o
LIBS-$(CONFIG_SPL_I2C_SUPPORT) += drivers/i2c/libi2c.o
LIBS-$(CONFIG_SPL_GPIO_SUPPORT) += drivers/gpio/libgpio.o
LIBS-$(CONFIG_SPL_MMC_SUPPORT) += drivers/mmc/libmmc.o
LIBS-$(CONFIG_SPL_SERIAL_SUPPORT) += drivers/serial/libserial.o
LIBS-$(CONFIG_SPL_SPI_FLASH_SUPPORT) += drivers/mtd/spi/libspi_flash.o
LIBS-$(CONFIG_SPL_SPI_SUPPORT) += drivers/spi/libspi.o
LIBS-$(CONFIG_SPL_FAT_SUPPORT) += fs/fat/libfat.o
LIBS-$(CONFIG_SPL_LIBGENERIC_SUPPORT) += lib/libgeneric.o
LIBS-$(CONFIG_SPL_POWER_SUPPORT) += drivers/power/libpower.o
LIBS-$(CONFIG_SPL_NAND_SUPPORT) += drivers/mtd/nand/libnand.o
LIBS-$(CONFIG_SPL_ONENAND_SUPPORT) += drivers/mtd/onenand/libonenand.o
LIBS-$(CONFIG_SPL_DMA_SUPPORT) += drivers/dma/libdma.o
LIBS-$(CONFIG_SPL_POST_MEM_SUPPORT) += post/drivers/memory.o
LIBS-$(CONFIG_SPL_USB_SUPPORT) += drivers/usb/gadget/libusb_gadget.o
LIBS-$(CONFIG_SPL_MUSB_SUPPORT) += drivers/usb/musb/libusb_musb.o

ifeq ($(SOC),omap3)
LIBS-y += $(CPUDIR)/omap-common/libomap-common.o
endif
ifeq ($(SOC),omap4)
LIBS-y += $(CPUDIR)/omap-common/libomap-common.o
endif
ifeq ($(SOC),omap5)
LIBS-y += $(CPUDIR)/omap-common/libomap-common.o
endif

START := $(addprefix $(SPLTREE)/,$(START))
LIBS := $(addprefix $(SPLTREE)/,$(sort $(LIBS-y)))

__START := $(subst $(obj),,$(START))
__LIBS := $(subst $(obj),,$(LIBS))

# Linker Script
ifdef CONFIG_SPL_LDSCRIPT
# need to strip off double quotes
LDSCRIPT := $(addprefix $(SRCTREE)/,$(subst ",,$(CONFIG_SPL_LDSCRIPT)))
endif

ifeq ($(wildcard $(LDSCRIPT)),)
	LDSCRIPT := $(TOPDIR)/board/$(BOARDDIR)/u-boot-spl.lds
endif
ifeq ($(wildcard $(LDSCRIPT)),)
	LDSCRIPT := $(TOPDIR)/$(CPUDIR)/u-boot-spl.lds
endif
ifeq ($(wildcard $(LDSCRIPT)),)
$(error could not find linker script)
endif

# Special flags for CPP when processing the linker script.
# Pass the version down so we can handle backwards compatibility
# on the fly.
LDPPFLAGS += \
	-include $(TOPDIR)/include/u-boot/u-boot.lds.h \
	-include $(OBJTREE)/include/config.h \
	$(shell $(LD) --version | \
	  sed -ne 's/GNU ld version \([0-9][0-9]*\)\.\([0-9][0-9]*\).*/-DLD_MAJOR=\1 -DLD_MINOR=\2/p')

ifdef CONFIG_OMAP
$(OBJTREE)/MLO:	$(obj)u-boot-spl.bin
	$(OBJTREE)/tools/mkimage -T omapimage \
		-a $(CONFIG_SPL_TEXT_BASE) -d $< $@
endif

ALL-y	+= $(obj)u-boot-spl.bin

ifdef CONFIG_SAMSUNG
ALL-y	+= $(obj)$(BOARD)-spl.bin
endif

all:	$(ALL-y)

ifdef CONFIG_SAMSUNG
$(obj)$(BOARD)-spl.bin: $(obj)u-boot-spl.bin
	$(OBJTREE)/tools/mk$(BOARD)spl \
		$(obj)u-boot-spl.bin $(obj)$(BOARD)-spl.bin
endif

$(obj)u-boot-spl.bin:	$(obj)u-boot-spl
	$(OBJCOPY) $(OBJCFLAGS) -O binary $< $@

GEN_UBOOT = \
	UNDEF_SYM=`$(OBJDUMP) -x $(LIBS) | \
	sed  -n -e 's/.*\($(SYM_PREFIX)__u_boot_cmd_.*\)/-u\1/p'|sort|uniq`;\
	cd $(obj) && $(LD) $(LDFLAGS) $(LDFLAGS_$(@F)) $$UNDEF_SYM $(__START) \
		--start-group $(__LIBS) --end-group $(PLATFORM_LIBS) \
		-Map u-boot-spl.map -o u-boot-spl

$(obj)u-boot-spl:	depend $(START) $(LIBS) $(obj)u-boot-spl.lds
	$(GEN_UBOOT)

$(START):	depend
	$(MAKE) -C $(SRCTREE)/$(START_PATH) $@

$(LIBS):	depend
	$(MAKE) -C $(SRCTREE)$(dir $(subst $(SPLTREE),,$@))

$(obj)u-boot-spl.lds: $(LDSCRIPT) depend
	$(CPP) $(CPPFLAGS) $(LDPPFLAGS) -ansi -D__ASSEMBLY__ -P - < $< > $@

depend:	$(obj).depend
.PHONY: depend

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

=== drivers/gpio/Makefile ===
#
# Copyright 2000-2008
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB 	:= $(obj)libgpio.o

COBJS-$(CONFIG_AT91_GPIO)	+= at91_gpio.o
COBJS-$(CONFIG_DB8500_GPIO)	+= db8500_gpio.o
COBJS-$(CONFIG_KIRKWOOD_GPIO)	+= kw_gpio.o
COBJS-$(CONFIG_MARVELL_GPIO)	+= mvgpio.o
COBJS-$(CONFIG_MARVELL_MFP)	+= mvmfp.o
COBJS-$(CONFIG_MXC_GPIO)	+= mxc_gpio.o
COBJS-$(CONFIG_MXS_GPIO)	+= mxs_gpio.o
COBJS-$(CONFIG_PCA953X)		+= pca953x.o
COBJS-$(CONFIG_PCA9698)		+= pca9698.o
COBJS-$(CONFIG_S5P)		+= s5p_gpio.o
COBJS-$(CONFIG_TEGRA2_GPIO)	+= tegra2_gpio.o
COBJS-$(CONFIG_DA8XX_GPIO)	+= da8xx_gpio.o
COBJS-$(CONFIG_ALTERA_PIO)	+= altera_pio.o
COBJS-$(CONFIG_TC35892_GPIO)	+= tc35892.o

COBJS	:= $(COBJS-y)
SRCS 	:= $(COBJS:.o=.c)
OBJS 	:= $(addprefix $(obj),$(COBJS))

all:	$(LIB)

$(LIB):	$(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))


#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

########################################################################

=== drivers/misc/Makefile ===
#
# (C) Copyright 2000-2007
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	:= $(obj)libmisc.o

COBJS-$(CONFIG_ALI152X) += ali512x.o
COBJS-$(CONFIG_DS4510)  += ds4510.o
COBJS-$(CONFIG_FSL_LAW) += fsl_law.o
COBJS-$(CONFIG_GPIO_LED) += gpio_led.o
COBJS-$(CONFIG_FSL_MC9SDZ60) += mc9sdz60.o
COBJS-$(CONFIG_NS87308) += ns87308.o
COBJS-$(CONFIG_PDSP188x) += pdsp188x.o
COBJS-$(CONFIG_STATUS_LED) += status_led.o
COBJS-$(CONFIG_TWL4030_LED) += twl4030_led.o
COBJS-$(CONFIG_PMIC) += pmic_core.o
COBJS-$(CONFIG_PMIC_FSL) += pmic_fsl.o
COBJS-$(CONFIG_PMIC_I2C) += pmic_i2c.o
COBJS-$(CONFIG_PMIC_SPI) += pmic_spi.o
COBJS-$(CONFIG_PMIC_MAX8998) += pmic_max8998.o
COBJS-$(CONFIG_DIALOG_PMIC) += dialog_pmic.o

COBJS	:= $(COBJS-y)
SRCS	:= $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))

all:	$(LIB)

$(LIB):	$(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== drivers/mmc/Makefile ===
#
# (C) Copyright 2006
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	:= $(obj)libmmc.o

COBJS-$(CONFIG_ATMEL_MCI) += atmel_mci.o
COBJS-$(CONFIG_BFIN_SDH) += bfin_sdh.o
COBJS-$(CONFIG_DAVINCI_MMC) += davinci_mmc.o
COBJS-$(CONFIG_FSL_ESDHC) += fsl_esdhc.o
COBJS-$(CONFIG_FTSDC010) += ftsdc010_esdhc.o
COBJS-$(CONFIG_GENERIC_MMC) += mmc.o
COBJS-$(CONFIG_SNOWBALL_MMC_HACK) += mmc_ste.o
COBJS-$(CONFIG_GENERIC_ATMEL_MCI) += gen_atmel_mci.o
COBJS-$(CONFIG_MMC_SPI) += mmc_spi.o
COBJS-$(CONFIG_ARM_PL180_MMCI) += arm_pl180_mmci.o
COBJS-$(CONFIG_MV_SDHCI) += mv_sdhci.o
COBJS-$(CONFIG_MXC_MMC) += mxcmmc.o
COBJS-$(CONFIG_MXS_MMC) += mxsmmc.o
COBJS-$(CONFIG_OMAP_HSMMC) += omap_hsmmc.o
COBJS-$(CONFIG_PXA_MMC) += pxa_mmc.o
COBJS-$(CONFIG_PXA_MMC_GENERIC) += pxa_mmc_gen.o
COBJS-$(CONFIG_S5P_MMC) += s5p_mmc.o
COBJS-$(CONFIG_SDHCI) += sdhci.o
COBJS-$(CONFIG_SH_MMCIF) += sh_mmcif.o
COBJS-$(CONFIG_TEGRA2_MMC) += tegra2_mmc.o

COBJS	:= $(COBJS-y)
SRCS	:= $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))

all:	$(LIB)

$(LIB): $(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== drivers/spi/Makefile ===
#
# (C) Copyright 2000-2007
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	:= $(obj)libspi.o

COBJS-$(CONFIG_ALTERA_SPI) += altera_spi.o
COBJS-$(CONFIG_ANDES_SPI) += andes_spi.o
COBJS-$(CONFIG_ARMADA100_SPI) += armada100_spi.o
COBJS-$(CONFIG_ATMEL_DATAFLASH_SPI) += atmel_dataflash_spi.o
COBJS-$(CONFIG_ATMEL_SPI) += atmel_spi.o
COBJS-$(CONFIG_BFIN_SPI) += bfin_spi.o
COBJS-$(CONFIG_CF_SPI) += cf_spi.o
COBJS-$(CONFIG_DAVINCI_SPI) += davinci_spi.o
COBJS-$(CONFIG_IMX_ECSPI) += imx_ecspi.o
COBJS-$(CONFIG_KIRKWOOD_SPI) += kirkwood_spi.o
COBJS-$(CONFIG_MPC52XX_SPI) += mpc52xx_spi.o
COBJS-$(CONFIG_MPC8XXX_SPI) += mpc8xxx_spi.o
COBJS-$(CONFIG_MXC_SPI) += mxc_spi.o
COBJS-$(CONFIG_MXS_SPI) += mxs_spi.o
COBJS-$(CONFIG_OC_TINY_SPI) += oc_tiny_spi.o
COBJS-$(CONFIG_OMAP3_SPI) += omap3_spi.o
COBJS-$(CONFIG_SOFT_SPI) += soft_spi.o
COBJS-$(CONFIG_SH_SPI) += sh_spi.o
COBJS-$(CONFIG_FSL_ESPI) += fsl_espi.o

COBJS	:= $(COBJS-y)
SRCS	:= $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))

all:	$(LIB)

$(LIB):	$(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== board/freescale/mx6qsabrelite/Makefile ===
#
# Copyright (C) 2007, Guennadi Liakhovetski <lg@denx.de>
#
# (C) Copyright 2011 Freescale Semiconductor, Inc.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= $(obj)lib$(BOARD).o

COBJS	:= mx6qsabrelite.o

SRCS	:= $(SOBJS:.o=.S) $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))
SOBJS	:= $(addprefix $(obj),$(SOBJS))

$(LIB):	$(obj).depend $(OBJS) $(SOBJS)
	$(call cmd_link_o_target, $(OBJS) $(SOBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== board/mpl/pip405/Makefile ===
#
# (C) Copyright 2000-2006
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk
ifneq ($(OBJTREE),$(SRCTREE))
$(shell mkdir -p $(obj)../common)
endif

LIB	= $(obj)lib$(BOARD).o

COBJS	= $(BOARD).o \
	  ../common/flash.o cmd_pip405.o ../common/pci.o \
	  ../common/isa.o ../common/kbd.o \
	  ../common/usb_uhci.o \
	  ../common/common_util.o

SOBJS	= init.o

SRCS	:= $(SOBJS:.o=.S) $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))
SOBJS	:= $(addprefix $(obj),$(SOBJS))

$(LIB):	$(OBJS) $(SOBJS)
	$(call cmd_link_o_target, $(OBJS) $(SOBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== board/nvidia/harmony/Makefile ===
#
#  (C) Copyright 2010,2011
#  NVIDIA Corporation <www.nvidia.com>
#
#
#  See file CREDITS for list of people who contributed to this
#  project.
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License as
#  published by the Free Software Foundation; either version 2 of
#  the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#  MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

ifneq ($(OBJTREE),$(SRCTREE))
$(shell mkdir -p $(obj)../common)
endif

LIB	= $(obj)lib$(BOARD).o

COBJS	:= $(BOARD).o
COBJS	+= ../common/board.o

SRCS	:= $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))

$(LIB):	$(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== board/nvidia/ventana/Makefile ===
#
#  (C) Copyright 2010,2011
#  NVIDIA Corporation <www.nvidia.com>
#
#
#  See file CREDITS for list of people who contributed to this
#  project.
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License as
#  published by the Free Software Foundation; either version 2 of
#  the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#  MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

ifneq ($(OBJTREE),$(SRCTREE))
$(shell mkdir -p $(obj)../seaboard)
$(shell mkdir -p $(obj)../common)
endif

LIB	= $(obj)lib$(BOARD).o

COBJS	+= ../seaboard/seaboard.o
COBJS	+= ../common/board.o

SRCS	:= $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))

$(LIB):	$(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== board/renesas/ecovec/Makefile ===
#
# Copyright (C) 2011 Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
# Copyright (C) 2011 Nobuhiro Iwamatsu <nobuhiro.iwamatsu.yj@renesas.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA


include $(TOPDIR)/config.mk

LIB = $(obj)lib$(BOARD).o

COBJS   := ecovec.o
SOBJS   := lowlevel_init.o

$(LIB): $(obj).depend $(COBJS) $(SOBJS)
		$(call cmd_link_o_target, $(COBJS) $(SOBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== board/samsung/smdk5250/Makefile ===
#
# Copyright (C) 2011 Samsung Electronics
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= $(obj)lib$(BOARD).o

SOBJS	:= lowlevel_init.o
SOBJS	+= mem_setup.o

ifndef CONFIG_SPL_BUILD
COBJS	+= smdk5250.o
endif

ifdef CONFIG_SPL_BUILD
COBJS	+= mmc_boot.o
endif

SRCS	:= $(SOBJS:.o=.S) $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS) $(SOBJS))

ALL	:=	 $(obj).depend $(LIB)

ifdef CONFIG_SPL_BUILD
ALL	+= $(OBJTREE)/tools/mk$(BOARD)spl
endif

all:	$(ALL)

$(LIB):	$(OBJS)
	$(call cmd_link_o_target, $(OBJS))

ifdef CONFIG_SPL_BUILD
$(OBJTREE)/tools/mk$(BOARD)spl:	tools/mkexynos_image.c
	$(HOSTCC) tools/mkexynos_image.c -o $(OBJTREE)/tools/mk$(BOARD)spl
endif

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== debian/changelog ===
u-boot-linaro (2012.02.3-ubuntu1) precise; urgency=low

  * Update to upstream 2012.02.3 u-boot-linaro which includes patch
    to correct memory size on rev C4 Beagle. 
    (LP: #928580).

 -- John Rigby <john.rigby@linaro.org>  Mon, 02 Apr 2012 10:53:32 -0600

u-boot-linaro (2012.02.2-ubuntu2) precise; urgency=low

  * Mark u-boot-linaro-omap4-panda-splusb for Multi-Arch: foreign, so that
    this can be installed on non-arm hosts for USB-booting ARM boards.
    (LP: #956037).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 15 Mar 2012 14:08:11 +0000

u-boot-linaro (2012.02.2-ubuntu1) precise; urgency=low

  * Update to upstream 2012.02.2 u-boot-linaro

  [ John Rigby ]
  * SAUCE: Snowball: init serial later
  * MMC: arm_pl180_mmci: allow multiple devices
  * OMAP3 Beagle and OMAP4: add preEnv.txt support (LP: 932436)

  [ Rob Herring ]
  * net: allow setting env enetaddr from net device setting
  * net: add Calxeda xgmac driver
  * ARM: highbank: enable networking and pxe
  * ARM: highbank: Add boot counter support
  * ARM: highbank: add reset support
  * ARM: highbank: setup env from boot source register
  * ARM: highbank: change TEXT_BASE to 0x8000
  * ARM: highbank: add autoboot script files
  * ARM: highbank: fix us_to_tick calculation
  * ARM: highbank: update autoboot bootdelay value

  [ Jason Hobbs ]
  * configs/highbank.h: point at env in nvram
  * configs/highbank.h: correct the fdt_addr env variable

  [ Robie Basak ]
  * OMAP4: Force PXE booting when booting via spl-usb (LP: 927956)

 -- John Rigby <john.rigby@linaro.org>  Thu, 16 Feb 2012 10:06:35 -0700

u-boot-linaro (2012.01.1-ubuntu1) precise; urgency=low

  * Releasing 2012.01.1 to Ubuntu precise

 -- John Rigby <john.rigby@linaro.org>  Thu, 19 Jan 2012 18:25:53 -0700

u-boot-linaro (2012.01.1-ubuntu1~ppa) oneiric; urgency=low

  * Update to upstream 2012.01.1 u-boot-linaro which
    Is rebased on final Denx upstream v2011.12
    Fixes usb peripheral booting on omap4-panda (LP: #911377)
    Fixes efikamx build (LP: #906478)
    Adds preliminary mx6qsabrelite support from FSL LT
    Adds preliminary smdk5250 support from Samsung LT
    Adds buildable but untested snowball support from STE LT
  * Add armhf to control file

 -- John Rigby <john.rigby@linaro.org>  Thu, 19 Jan 2012 17:49:35 -0700

u-boot-linaro (2011.12.2-ubuntu1~ppa~oneiric) oneiric; urgency=low

  * Update to upstream 2011.12.2 u-boot-linaro
  * Add u-boot.img and MLO to omap3_beagle install files

 -- John Rigby <john.rigby@linaro.org>  Mon, 19 Dec 2011 22:30:51 -0700

u-boot-linaro (2011.12.1-ubuntu1~ppa~oneiric) oneiric; urgency=low

  * Update to upstream 2011.12.1 u-boot-linaro
  * Add mx6qarm2 (Armadillo2) board

 -- John Rigby <john.rigby@linaro.org>  Sun, 18 Dec 2011 22:47:23 -0700

u-boot-linaro (2011.11.2-ubuntu1~ppa~oneiric) oneiric; urgency=low

  * Enable mx53ard, packaging only change enabling mx53ard target

 -- John Rigby <john.rigby@linaro.org>  Tue, 22 Nov 2011 11:00:14 -0700

u-boot-linaro (2011.11.2-ppa~oneiric1) oneiric; urgency=low

  * Update to new upstream 
    Adds default env for Samsung Origen board (LP: #893459)

 -- John Rigby <john.rigby@linaro.org>  Mon, 21 Nov 2011 23:38:24 -0700

u-boot-linaro (2011.11.1-0ubuntu2~ppa~oneiric) oneiric; urgency=low

  * Packaging changes only
    origen:
      add origen-spl.bin to debian/platforms-debs-targets
      modify debian/rules to deal correctly with targets that include a /
    panda-splusb:
      add u-boot-linaro-omap4-panda-splusb to debian/control

 -- John Rigby <john.rigby@linaro.org>  Thu, 17 Nov 2011 09:35:40 -0700

u-boot-linaro (2011.11.1-0ubuntu1~ppa~oneiric) oneiric; urgency=low

  * New upstream release 2011.11.1 which includes omap4 usb spl booting
    Reformat debian/platforms-debs-targets columns for longer target names
    Added origen and omap4_panda_splusb to platforms-debs-targets
    Fix ca5x2 deb name and add origen to control file

 -- John Rigby <john.rigby@linaro.org>  Wed, 16 Nov 2011 10:29:39 -0700

u-boot-linaro (2011.10.2-0ubuntu1~ppa~oneiric) oneiric; urgency=low

  * New upstream release 2011.10.2
    OMAP3: Beagle: set mac address from die id
    OMAP3: Beagle: enable PXE support
    OMAP3: Igep0020: enable PXE support
    i.MX53: MX53loco aka quickstart: enable PXE support 

 -- John Rigby <john.rigby@linaro.org>  Mon, 24 Oct 2011 00:45:42 -0600

u-boot-linaro (2011.10.1-0ubuntu3~ppa~oneiric) oneiric; urgency=low

  * Packaging change only, add new plats for control file

 -- John Rigby <john.rigby@linaro.org>  Fri, 21 Oct 2011 04:15:13 -0600

u-boot-linaro (2011.10.1-0ubuntu2~ppa~oneiric) natty; urgency=low

  * Packaging change only, add new plats for control file

 -- John Rigby <john.rigby@linaro.org>  Fri, 21 Oct 2011 03:59:45 -0600

u-boot-linaro (2011.10.1-0ubuntu1) oneiric; urgency=low

  * New upstream release 2011.10.1
    Previous release rebased to upstream v2011.09 final
    New commits from FSL LT: 
      mx53loco: add support for MC34708
    New commits from ARM LT:
      MMC: PL180: Fix infinite loop with VExpress extended fifo implementation
      ARM: vexpress: move files in preparation for adding a new platform
      ARM: vexpress: create A9 specific board config
      ARM: vexpress: create A5 specific board config
      ARM: vexpress: Change maintainer for ARM Versatile Express platforms

 -- John Rigby <john.rigby@linaro.org>  Fri, 21 Oct 2011 03:20:05 -0600

=== debian/control ===
Source: u-boot-linaro
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Rigby <john.rigby@linaro.org>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), gcc-4.5
Standards-Version: 3.9.1
Vcs-Git: git://git.linaro.org/boot/u-boot-linaro-stable.git

Package: u-boot-linaro-ca9x4-ct-vxp
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the ARM ca9x4_ct_vxp (Versatile Express) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-efikamx
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Genesi i.MX515 Efika MX
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-highbank
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Calxeda Highbank
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-igep0020
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the ISEE igep0020 (IGEPv2) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-mx51evk
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Freescale i.MX51 mx51evk (Babbage) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-mx53ard
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Freescale i.MX53 mx53ard platform
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system


Package: u-boot-linaro-mx53loco
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Freescale i.MX53 mx53loco (Babbage) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-mx6qarm2
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Freescale MX6Q Armadillo2 board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-mx6qsabrelite
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Freescale MX6Q Sabrelite board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-omap3-beagle
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for various TI OMAP3 Beagle boards
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on those boards. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-omap3-overo
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for Gumstix Overo boards
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on those boards. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-omap4-panda
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the TI OMAP4 Panda board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-omap4-panda-splusb
Architecture: armel armhf
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot usbspl bootloader binary for the TI OMAP4 Panda board
 This package contains a special purpose U-Boot bootloader for booting
 via a usb connection from a development host to usb peripheral connector on
 the Panda target.  This is useful for developers and for recovering a board
 with bad boot media.

Package: u-boot-linaro-omap4-sdp4430
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the TI OMAP4 SDP4430 board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-origen
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the SAMSUNG ORIGEN (S5PV310)
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-smdk5250
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the SAMSUNG smdk5250
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-snowball
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the ST-Ericsson Snowball board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-vexpress-ca9x4
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the ARM ca9x4 (Versatile Express) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-vexpress-ca5x2
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the ARM ca5x2 board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

=== debian/rules ===
#!/usr/bin/make -f

# the upstream build passes LDFLAGS directly to ld instead of calling gcc for
# linking; so instead of passing -Wl,foo in LDFLAGS as in automake builds, one
# should set LDFLAGS to foo directly
comma := ,
LDFLAGS := $(patsubst -Wl$(comma)%,%,$(LDFLAGS))

# remove -Bsymbolic-functions from LDFLAGS because is messes up ld and some
# initializations end up being zero
LDFLAGS := $(patsubst -Bsymbolic-functions,,$(LDFLAGS))

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
export CROSS_COMPILE?=$(DEB_HOST_GNU_TYPE)-
endif

deb_source := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
deb_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
upstream_version := $(shell echo '$(deb_version)' | sed 's/.*://; s/-[^-]*$$//')

# usb in u-boot is broken with 4.6 so use 4.5
export CC=$(CROSS_COMPILE)gcc-4.5

# --remote doesn't work with git.linaro.org so this needs to be
# run from a local checkout
get-orig-source:
	rm -rf $(deb_source)-$(upstream_version)
	rm -f $(deb_source)-$(upstream_version).orig.tar.gz
	git clone --depth 1 git://git.linaro.org/boot/u-boot-linaro-stable.git $(deb_source)-$(upstream_version)
	cd $(deb_source)-$(upstream_version) && git archive \
		--format=tar \
		--prefix=$(deb_source)-$(upstream_version)/ \
		$(upstream_version) \
		| gzip >../$(deb_source)_$(upstream_version).orig.tar.gz
	rm -rf $(deb_source)-$(upstream_version)

%:
	dh --with quilt $@

override_dh_auto_clean:
	# upstream only cleans these files if passing the right O=, but it
	# shouldn't create these the source tree in the first place
	# XXX this hardcodes "arm"
	rm -f arch/arm/include/asm/arch arch/arm/include/asm/proc
	rm -rf debian/build

override_dh_auto_build:
	while read plat deb buildtarget ignoreinstalltargets; do \
		expr $$plat : "^#" > /dev/null && continue; \
		mkdir -p debian/build/$$plat; \
		$(MAKE) O=$$PWD/debian/build/$$plat $${plat}_config; \
		test "$$buildtarget" = "-" && $(MAKE) CC="$(CC)" O=$$PWD/debian/build/$$plat; \
		test "$$buildtarget" != "-" && $(MAKE) CC="$(CC)" O=$$PWD/debian/build/$$plat \
			$$PWD/debian/build/$$plat/$$buildtarget; \
		true; \
	done <debian/platforms-debs-targets

override_dh_auto_install:
	while read plat deb ignorebuildtarget installtargets; do \
		expr $$plat : "^#" > /dev/null && continue; \
		for target in $$installtargets; do \
			mkdir -p debian/u-boot-linaro-$$deb/usr/lib/u-boot/$$plat/; \
			test -e debian/build/$$plat/$$target && \
				install	-m644 \
					-t debian/u-boot-linaro-$$deb/usr/lib/u-boot/$$plat/ \
					debian/build/$$plat/$$target; \
		done; \
		true; \
	done <debian/platforms-debs-targets
